%define module	boto

Summary:	A simple lightweight interface to Amazon Web Services
Name:		python-%{module}
Version:	2.49.0
Release:	%mkrel 10
License:	MIT
Group:		Development/Python
URL:		https://github.com/%{module}/%{module}/
Source:		https://files.pythonhosted.org/packages/source/b/%{module}/%{module}-%{version}.tar.gz
# Unbundle python-six
# https://github.com/boto/boto/pull/3086
Patch1:         boto-2.39.0-devendor.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(six)
BuildRequires:	python3dist(zombie-imp)

%description
Boto is a Python package that provides interfaces to Amazon Web Services.
It supports S3 (Simple Storage Service), SQS (Simple Queue Service) via
the REST API's provided by those services and EC2 (Elastic Compute Cloud)
via the Query API. The goal of boto is to provide a very simple, easy to
use, lightweight wrapper around the Amazon services.

%package -n python3-%{module}
Summary:	A simple lightweight interface to Amazon Web Services
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Boto is a Python package that provides interfaces to Amazon Web Services.
It supports S3 (Simple Storage Service), SQS (Simple Queue Service) via
the REST API's provided by those services and EC2 (Elastic Compute Cloud)
via the Query API. The goal of boto is to provide a very simple, easy to
use, lightweight wrapper around the Amazon services.

%prep
%autosetup -p1 -n %{module}-%{version}

#%%generate_buildrequires
#%%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files boto

%files -n python3-%{module} -f %{pyproject_files}
%{_bindir}/asadmin
%{_bindir}/bundle_image
%{_bindir}/cfadmin
%{_bindir}/cq
%{_bindir}/cwutil
%{_bindir}/dynamodb_dump
%{_bindir}/dynamodb_load
%{_bindir}/elbadmin
%{_bindir}/fetch_file
%{_bindir}/glacier
%{_bindir}/instance_events
%{_bindir}/kill_instance
%{_bindir}/launch_instance
%{_bindir}/list_instances
%{_bindir}/lss3
%{_bindir}/mturk
%{_bindir}/pyami_sendmail
%{_bindir}/route53
%{_bindir}/s3put
%{_bindir}/sdbadmin
%{_bindir}/taskadmin


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.49.0-10.mga10
+ Revision: 2238313
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 2.49.0-9.mga10
+ Revision: 2154538
- rebuild for python3.13

* Thu Dec 28 2023 daviddavid <daviddavid> 2.49.0-8.mga10
+ Revision: 2023097
- switch to pyproject
- add fedora patch to unbundle python-six
+ papoteur <papoteur>
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 2.49.0-6.mga9
+ Revision: 1822509
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tmb <tmb> 2.49.0-5.mga9
+ Revision: 1773970
- rebuild for python 3.10

* Tue Mar 16 2021 tmb <tmb> 2.49.0-4.mga9
+ Revision: 1703837
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.49.0-3.mga8
+ Revision: 1535851
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 2.49.0-2.mga8
+ Revision: 1452749
- rebuild with python 3.8

* Sat Oct 12 2019 daviddavid <daviddavid> 2.49.0-1.mga8
+ Revision: 1452038
- new version: 2.49.0
- rebuild for python3.8
- drop python2 support

* Wed Apr 17 2019 wally <wally> 2.45.0-1.mga7
+ Revision: 1392201
- new version 2.45.0

* Sat Jan 12 2019 wally <wally> 2.44.0-1.mga7
+ Revision: 1355596
- new version 2.44.0

* Sat Jan 12 2019 tmb <tmb> 2.40.0-4.mga7
+ Revision: 1355164
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.40.0-3.mga7
+ Revision: 1288384
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.40.0-2.mga7
+ Revision: 1135327
- Rebuild for python 3.6

* Fri May 27 2016 philippem <philippem> 2.40.0-1.mga6
+ Revision: 1018974
- update to 2.40.0

* Fri Feb 05 2016 daviddavid <daviddavid> 2.39.0-1.mga6
+ Revision: 939294
- new version: 2.39.0
- use new python macros

* Sat Oct 10 2015 tv <tv> 2.38.0-2.mga6
+ Revision: 888745
- rebuild for python 3.5

* Mon Sep 14 2015 pterjan <pterjan> 2.38.0-1.mga6
+ Revision: 879045
- Update to 2.38.0

* Mon Jan 26 2015 bcornec <bcornec> 2.35.2-1.mga5
+ Revision: 812378
- Update to upstream 2.35.2

* Wed Oct 15 2014 umeabot <umeabot> 2.32.1-4.mga5
+ Revision: 749842
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.32.1-3.mga5
+ Revision: 728110
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.32.1-2.mga5
+ Revision: 687907
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 philippem <philippem> 2.32.1-1.mga5
+ Revision: 669725
- update to 2.32.1, add Python3
+ pterjan <pterjan>
- Rebuild for new Python

* Sun Mar 30 2014 philippem <philippem> 2.27.0-1.mga5
+ Revision: 610453
- update to 2.27.0

* Tue Mar 04 2014 philippem <philippem> 2.26.1-1.mga5
+ Revision: 599579
- update to 2.26.1

* Sun Dec 08 2013 pterjan <pterjan> 2.19.0-1.mga4
+ Revision: 556002
- Update to 2.19.0

* Tue Oct 22 2013 umeabot <umeabot> 2.13.3-3.mga4
+ Revision: 543060
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.13.3-2.mga4
+ Revision: 498194
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 29 2013 philippem <philippem> 2.13.3-1.mga4
+ Revision: 489101
- Updated to 2.13.3

* Mon Jul 29 2013 philippem <philippem> 2.9.9-1.mga4
+ Revision: 460660
- Update to 2.9.9

* Wed Jul 03 2013 philippem <philippem> 2.9.6-1.mga4
+ Revision: 449979
- Update to 2.9.6

* Sun Jan 13 2013 umeabot <umeabot> 2.6.0-2.mga3
+ Revision: 378505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 philippem <philippem> 2.6.0-1.mga3
+ Revision: 325387
- update to 2.6.0

* Sun Sep 02 2012 philippem <philippem> 2.5.2-1.mga3
+ Revision: 287234
- New upstream release 2.5.2

* Tue Feb 21 2012 philippem <philippem> 2.2.2-1.mga2
+ Revision: 211539
- Update to 2.2.2.
+ fwang <fwang>
- update group
- new version 2.0

* Wed Feb 23 2011 philippem <philippem> 1.9b-0.mga1
+ Revision: 57469
- imported package python-boto


* Wed Feb 23 2011 Philippe Makowski <makowski.mageia@gmail.com> - 1.9b-0.mga1
- Initial spec file for Mageia based on Fedora spec


